.PHONY: dev-up dev-down prod-up prod-down logs build

dev-up:
	docker compose -f docker-compose.dev.yml up -d --remove-orphans

dev-down:
	docker compose -f docker-compose.dev.yml down

dev-restore:
	docker compose -f docker-compose.dev.yml run khmer-eid-api dotnet restore

dev-build:
	docker compose -f docker-compose.dev.yml build

dev-list-packages:
	docker exec -it khmer-eid-api-dev dotnet list package

dev-exec:
	docker exec -it khmer-eid-api-dev /bin/bash

prod-up:
	docker compose -f docker-compose.prod.yml up -d

prod-down:
	docker compose -f docker-compose.prod.yml down

dev-logs:
	docker compose -f docker-compose.dev.yml logs -f khmer-eid-api

prod-logs:
	docker compose -f docker-compose.prod.yml logs -f khmer-eid-api

